# $Revision: 1.82 $, $Date: 2012/03/31 11:20:54 $

%define         kde4ver 4.6.0
%define         qtver   4.7.1
%define         orgname	kdbg

Summary:	KDbg - a KDE Graphical Debugger Interface
Summary(es.UTF-8):	Interfaz gráfica KDE para gdb
Summary(pl.UTF-8):	Interfejs KDE do gdb
Summary(pt_BR.UTF-8):	Interface gráfica KDE para o gdb
Name:		kdbg
Version:	2.5.1
Release:	1
Epoch:		2
License:	GPL
Group:		X11/Development/Tools
Source0:	http://downloads.sourceforge.net/kdbg/%{name}-%{version}.tar.gz
# Source0-md5:	a19095dce4cb5df0dbaa9368d400fc30
URL:		http://www.kdbg.org/
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{kde4ver}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDbg is a graphical user interface to gdb, the GNU debugger. It
provides an intuitive interface for setting breakpoints, inspecting
variables, and stepping through code.

Features:
- Variable inspection in a tree structure.
- Shows important member variables of class types without the need to
  "open" the variable. For example, you don't need to go into a variable
  of type QString to view the string value - it's shown next to the
  string variable.
- See for yourself. (This is, of course, configurable, not
  hardcoded!).
- Debugger at your finger tips: The important debugger functions
  (step, next, finish, until, run/continue, enable/disable/set/remove
  breakpoint) are bound to the function keys F5 through F10. It's fast
  and easy!.
- Everything you need to debug a program: View source code, Search
  text, set program arguments.

%description -l es.UTF-8
Interfaz gráfica KDE para gdb.

%description -l pl.UTF-8
KDbg to graficzny interfejs użytkownika do gdb, debuggera GNU. Daje
intuicyjny interfejs do ustawiania breakpointów, przeglądania
zmiennych, śledzenia kodu.

Możliwości:
- przeglądanie zmiennych w strukturze drzewiastej
- wyświetlanie istotnych zmiennych z klas bez potrzeby "otwierania"
  zmiennej. Na przykład, nie potrzeba wchodzić do zmiennej typu QString
  aby zobaczyć zawartość stringa - jest wyświetlana zaraz za zmienną
- debugger pod palcami - najważniejsze funkcje (krok, następny,
  koniec, do miejsca, uruchomienie/kontynuacja, włączenie/wyłączenie/
  dodanie/usunięcie breakpointa) są przypisane klawiszom F5 do F10.
- Wszystko co potrzebne do odpluskwiania programu: przeglądanie kodu
  źródłowego, wyszukiwanie tekstu, ustawianie parametrów programu.

%description -l pt_BR.UTF-8
Interface gráfica KDE para o gdb.

%prep
%setup -q

mv -f po/sr{,@latin}.po

%build
install -d build
cd build
%cmake \
		../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc BUGS TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/apps/kdbg
%{_desktopdir}/kde4/*.desktop
%{_datadir}/config/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdbg.spec,v $
Revision 1.82  2012/03/31 11:20:54  pluto
- updated to 2.5.1.

Revision 1.81  2011/05/01 21:18:11  lmasko
- Up to 2.5.0. I'm not sure, if all BRs are included.

Revision 1.80  2010/05/18 09:35:55  gotar
- upgraded to 2.2.1

Revision 1.79  2008/12/27 15:16:26  adamg
- updated to 2.1.1

Revision 1.78  2008-03-21 15:21:17  adamg
- updated to 2.1.0

Revision 1.77  2007-12-23 17:43:15  blekot
- up to 2.0.5
- more %files
- removed unusable locolor pixmaps

Revision 1.76  2007-10-24 23:42:10  ankry
- no longer bogus zh translation; fix sr@Latn vs. sr@latin issue

Revision 1.75  2007/03/14 15:50:17  darekr
- added -am and -ac260 patch
- fix URL

Revision 1.74  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.73  2007/02/12 00:48:58  baggins
- converted to UTF-8

Revision 1.72  2006/05/30 20:34:53  glen
- truncate non-cvs changelog

Revision 1.71  2006/05/29 00:39:37  shadzik
- up to 2.0.4

Revision 1.70  2006/02/10 15:04:43  pluto
- updated to 2.0.3.

Revision 1.69  2005/07/31 11:04:58  pluto
- updated to 2.0.0.

Revision 1.68  2005/06/18 15:21:12  zbyniu
- BR: ac, am

Revision 1.67  2005/05/08 15:12:03  djurban
- finished

Revision 1.66  2005/05/08 12:36:06  djurban
- begin updating (NFY, dont touch the spec)

Revision 1.65  2004/08/31 19:22:13  snurf
- typos / formatting / etc.

Revision 1.64  2004/08/04 06:51:54  ankry
- rel. 6

Revision 1.63  2004/08/04 06:23:11  ankry
- i18n fixes (-po patch), rel. 5

Revision 1.62  2004/07/23 11:18:35  ankry
- no -> nb in desktop

Revision 1.61  2004/07/20 13:39:26  qboosh
- more locale names fixes (no->nb,no_NY->nn), iconsdir cleanup; release 4

Revision 1.60  2004/07/14 08:52:06  ankry
- updated -desktop patch, rel. 3

Revision 1.59  2004/05/23 21:56:28  qboosh
- fixed build on amd64, switched to vfolders, release 2

Revision 1.58  2004/05/23 17:49:06  adamg
- updated to 1.2.10

Revision 1.57  2004/05/08 07:59:55  pluto
- libtoolize.

Revision 1.56  2003/12/29 14:29:32  undefine
- release 2 to rebuild with ac

Revision 1.55  2003/09/08 21:20:54  undefine
- update to 1.2.9

Revision 1.54  2003/08/18 08:08:13  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.53  2003/07/16 21:25:15  adamg
- updated to 1.2.8

Revision 1.52  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.51  2003/05/25 05:49:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.50  2003/05/06 11:30:20  qboosh
- use http for sources from sourceforge

Revision 1.49  2003/03/29 15:23:07  mkierus
- fixed kde_appsdir

Revision 1.48  2003/01/18 22:51:59  juandon
- removed two lines with define

Revision 1.47  2002/10/24 21:52:04  kloczek
- release 3: added --disable-rpath --enable-final to autoconf parameters.

Revision 1.46  2002/10/23 09:58:55  kloczek
- using desktop patch we don need all pixmaps (only this in main %{_pixmapsdir}
  are neccessary).

Revision 1.45  2002/10/23 08:52:00  qboosh
- removed dirs that belong to kdelibs; release 2, STBR

Revision 1.44  2002/10/22 07:30:16  kloczek
- updated to 1.2.6,
- added desktop patch,
- rename zh_CN.GB2312 locale to zh_CN,
- merge translations from Conectiva.

Revision 1.43  2002/08/29 23:43:39  blues
- release 2

Revision 1.42  2002/07/30 23:37:19  blues
- Release 2.1

Revision 1.41  2002/07/30 10:58:44  qboosh
- fixed docs location

Revision 1.40  2002/07/29 02:35:38  blues
- really new doc now...

Revision 1.39  2002/07/24 22:02:39  undefine
- typo

Revision 1.38  2002/07/22 23:57:26  blues
- new doc
- version prepared for KDE3

Revision 1.37  2002/07/05 14:20:29  undefine
- add buildrequires: fam-devel
- stb?

Revision 1.36  2002/06/15 11:41:09  ankry
- removed %lang(en)
- release 2

Revision 1.35  2002/06/14 21:34:14  mkierus
- release 1

Revision 1.34  2002/06/09 13:04:52  mkierus
- updated to 1.2.5

Revision 1.33  2002/02/22 23:29:06  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/18 02:13:28  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/12/05 16:08:00  qboosh
- fixed Group (to X11/Development/Tools), added pl description, cosmetics; release 3

Revision 1.30  2001/11/18 17:36:03  yascool
- version upgraded to 1.2.2
- added configure argument to compile against Qt & KDE >=2,0

Revision 1.28  2001/05/02 21:51:21  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.27  2000/07/28 13:57:45  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.26  2000/06/11 19:43:34  kloczek
- updated URL and Source url.

Revision 1.25  2000/06/09 07:54:43  kloczek
- more %{__make} macros.

Revision 1.24  2000/06/09 07:23:05  kloczek
- added using %{__make} macro.

Revision 1.23  2000/06/07 03:14:18  kloczek
- spec adapterized.

Revision 1.22  2000/04/01 11:14:47  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.20  2000/03/05 20:50:11  kloczek
- updated to 1.1.0,
- spec adapterized,
- added BUGS, ChangeLog, TODO to %doc.

Revision 1.19  1999/12/28 00:07:36  kloczek
- updated to 1.0.2,
- place icons in %{_datadir}/pixmaps (in the same path as GNOME
  applications).

Revision 1.18  1999/12/09 06:46:24  kloczek
- added including .mo files list to %files.

Revision 1.17  1999/12/09 06:03:40  kloczek
- release 2,
- added -fno-rtti and -fno-exceptions to CXXFLAGS,
- DESTDIR style %install,
- rewrited %files list.

Revision 1.16  1999/12/01 11:17:04  kloczek
- updated to 1.0.1,
- more rpm macros.

Revision 1.15  1999/07/20 12:59:54  baggins
- update to 0.3.0

Revision 1.14  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.13  1999/07/12 23:06:00  kloczek
- added using CVS keywords in %changelog (for automating them).
